03 2020 档案

摘要: 阅读全文
posted @ 2020-03-28 20:12 _Ackerman 阅读(338) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-27 23:20 _Ackerman 阅读(322) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-27 23:15 _Ackerman 阅读(300) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-27 23:09 _Ackerman 阅读(290) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-27 23:02 _Ackerman 阅读(353) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-23 19:52 _Ackerman 阅读(252) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-23 19:37 _Ackerman 阅读(348) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-18 13:33 _Ackerman 阅读(295) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-18 13:09 _Ackerman 阅读(286) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-18 12:51 _Ackerman 阅读(253) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-18 12:46 _Ackerman 阅读(278) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-17 00:20 _Ackerman 阅读(316) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-17 00:17 _Ackerman 阅读(338) 评论(0) 推荐(1)
摘要: 阅读全文
posted @ 2020-03-17 00:12 _Ackerman 阅读(285) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-13 22:48 _Ackerman 阅读(338) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-13 22:35 _Ackerman 阅读(264) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-13 22:19 _Ackerman 阅读(239) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-13 22:12 _Ackerman 阅读(284) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-10 22:18 _Ackerman 阅读(256) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-10 22:14 _Ackerman 阅读(270) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-09 21:24 _Ackerman 阅读(227) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-09 21:21 _Ackerman 阅读(193) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-09 21:16 _Ackerman 阅读(350) 评论(0) 推荐(0)
摘要:题目链接:https://codeforces.com/contest/1287/problem/C 题意: 有一个由1-n构成的数列,其中部分被删除(删除的元素由0代替),请用被删除的元素补全这个数列,使这个数列中相邻元素奇偶性不同的对数最少。 想法: 我们容易知道每添加的一个数都对它后面的一个数 阅读全文
posted @ 2020-03-09 21:09 _Ackerman 阅读(320) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-06 22:53 _Ackerman 阅读(304) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-06 22:51 _Ackerman 阅读(388) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-06 22:49 _Ackerman 阅读(248) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-06 14:51 _Ackerman 阅读(202) 评论(0) 推荐(0)
摘要:题目链接:http://codeforces.com/contest/1316/problem/D 题目意思太长了我就不多说了 想法: 走到自己位置上的一定是'X',然后同一路径上的目的地一定一样,可以从每个‘X’开始把同一目的地的都搜过去,处理出来,然后-1的情况就是所有联通的-1构成一个死循环就 阅读全文
posted @ 2020-03-05 15:27 _Ackerman 阅读(396) 评论(0) 推荐(0)
摘要:题目链接:http://codeforces.com/contest/1321/problem/C 题意: 给定一个字符串,若字符串中的某个字符的前一个或者后一个是其字典序的前一个字母就可以去掉这个字符,问最多能去掉多少个字符 思路: 贪心,每次去掉可以去掉字符的最大字典序的字母,可以脑补一下,如果 阅读全文
posted @ 2020-03-05 14:40 _Ackerman 阅读(461) 评论(0) 推荐(1)
摘要:题目链接:http://codeforces.com/contest/1321/problem/D 题目大意: 给你一张有向图,再给你一个路径,在路径的每一步上都维护最短路,如果不是按照最短路走就更新最短路,输出最小或最大更新次数(有最小或最大是因为最短路不唯一)。 想法: 反向连边跑dij,记录最 阅读全文
posted @ 2020-03-05 14:36 _Ackerman 阅读(436) 评论(0) 推荐(0)
摘要:题目链接:http://codeforces.com/contest/1321/problem/E 题目大意: 给定一系列有代价的装备,第一种提供 x 值,第二种提供 y 值。给出一些怪兽,如果怪兽的 xi​ 和 yi​ 都小于选定的 x 和 y ,那么会有 zi​ 的奖励。最大化收益。 思路: 我 阅读全文
posted @ 2020-03-05 13:00 _Ackerman 阅读(375) 评论(0) 推荐(0)
摘要:题目大意: 一个月饼店开m个小时(24小时营业),只在整点做月饼,做月饼的能力非常强。现在只需要考虑成本的问题。给m个cost值,cost[i]表示第i个小时做1个月饼的代价。 再给n个时间,从2000年1月1日0时开始计算。表示订单的截止时间。当然为了节约成本,可以提前趁成本不高的时候做月饼。但是 阅读全文
posted @ 2020-03-03 17:59 _Ackerman 阅读(335) 评论(0) 推荐(0)
摘要:题目大意: 给出一个由0,1组合的矩阵,试求出元素最多且都是1的矩形 题目思路: 求以第i行为底的最大矩形,利用单调队列或者单调栈,以单调队列为例: 对该行中的每个点的高度为最小基准向左右两边进行松弛,求其可满足的左右区间的最大区间。 以右区间为例: 从该行的右端点开始一次进队遍历,建立单调增的队列 阅读全文
posted @ 2020-03-02 22:43 _Ackerman 阅读(276) 评论(0) 推荐(0)
摘要:题目大意:给出一个有N个数字(N<=10^5)的环状序列,让你求一个和最大的连续子序列。这个连续子序列的长度小于等于K。 思路: 我们用单调队列去维护一个开始的下标位置,随后我们去枚举结束的位置。 维护方法:对于每个j,我们插入s[j-1](为什么不是s[j]? 队列里面维护的是区间开始的下标,j是 阅读全文
posted @ 2020-03-02 22:33 _Ackerman 阅读(277) 评论(0) 推荐(0)
摘要: 阅读全文
posted @ 2020-03-02 17:49 _Ackerman 阅读(295) 评论(0) 推荐(0)
摘要:首先需要先知道一个概念: 二叉搜索树 —— 左孩子比父亲小,右孩子大于等于父亲 一、Splay的旋转 旋转是Splay的精髓也是至关重要的操作 旋转也分为左旋、右旋 这里是直接概括了所有旋转的规律: 我们定义一个结点与他父亲的关系是 x ,那么在旋转时,他的父亲成为了他的 !x 儿子,并且那个上文中 阅读全文
posted @ 2020-03-01 22:39 _Ackerman 阅读(282) 评论(0) 推荐(0)
摘要:思路: 最坏的情况就是凑和为 x+y ,可以凑 x+y-1 对 最好的情况就是 : 1、x+y <= n 那么我们让 1 和 n,2 和 n-1 ,3 和 n-2 这样凑,这样的话排名肯定是第一名 (其他都比 x+y 大) 2、x+y > n 我们就考虑把这种情况转化为 1 情况,让 1 和 1 配 阅读全文
posted @ 2020-03-01 22:04 _Ackerman 阅读(396) 评论(0) 推荐(0)
摘要:思路: 显然满足题意的一定是一个单峰序列,于是可以考虑第i个当最高点的时候,左边的最大总和,而这个是可以递推的,因为当m[i]>=m[i-1]的时候第i个可以直接取m[i]加上去,而当m[i] < m[i-1]的时候,要把之前所有大于m[i]的都变成m[i],而之前的部分是单增的,于是可以开个单调栈 阅读全文
posted @ 2020-03-01 21:50 _Ackerman 阅读(409) 评论(0) 推荐(0)
摘要:思路: 初中的“追及问题” 假设 Xi 在 Xj 的左侧,并且速度 Vi 大于 Vj,那么 Xi 肯定可以追上 Xj 即 d(i,j) = 0 如果速度 Vi <= Vj ,那么 d(i,j) = abs(Xi - Xj) 所以答案就是: ans+=(数组中位于当前点前面的点的数量(速度小于当前点速 阅读全文
posted @ 2020-03-01 21:41 _Ackerman 阅读(321) 评论(0) 推荐(0)
摘要:题目大意: 要求构造一个n个节点的二叉树(每个节点拥有不超过2个孩子),节点1为根,要使所有节点到根的距离之和为d。要求先判断可不可以构造,如果可以输出“YES”,下一行输出2到n号节点的父亲节点,否则输出“NO”。有多组询问。 思路: 首先不难想到深度和最小的那种就是满二叉树的形式。然后我们再考虑 阅读全文
posted @ 2020-03-01 21:33 _Ackerman 阅读(414) 评论(0) 推荐(0)